summaryrefslogtreecommitdiffstats
path: root/libsefs/tests/attic/launch-libsefs-tests.sh
diff options
context:
space:
mode:
authorMiroslav Grepl <mgrepl@redhat.com>2014-04-11 09:37:53 +0200
committerMiroslav Grepl <mgrepl@redhat.com>2014-04-11 09:37:53 +0200
commit47be9ff57e72906660bb62a515222f482131e1fb (patch)
tree2cb0ef0ba48d73b1df7cc0915754a17e19464bb6 /libsefs/tests/attic/launch-libsefs-tests.sh
downloadsetools-master.tar.gz
setools-master.tar.xz
setools-master.zip
Create setools-3.3.7 git repomaster
Diffstat (limited to 'libsefs/tests/attic/launch-libsefs-tests.sh')
-rwxr-xr-xlibsefs/tests/attic/launch-libsefs-tests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/libsefs/tests/attic/launch-libsefs-tests.sh b/libsefs/tests/attic/launch-libsefs-tests.sh
new file mode 100755
index 0000000..94bc873
--- /dev/null
+++ b/libsefs/tests/attic/launch-libsefs-tests.sh
@@ -0,0 +1,12 @@
+# Mount the virtual filesystems, execute the the real test, then
+# unmount those filesystems.
+
+mkdir -p non-mls
+mkdir -p mls
+./fuse_non_mls non-mls
+./libsefs-tests
+result=$?
+fusermount -u non-mls
+rmdir non-mls
+rmdir mls
+exit ${result}